Package com.avaya.clientservices.agent

## Enum StatisticsDataResourceType

- java.lang.Object
- - java.lang.Enum<StatisticsDataResourceType>
  - - com.avaya.clientservices.agent.StatisticsDataResourceType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<StatisticsDataResourceType>`

      public enum StatisticsDataResourceType
      extends java.lang.Enum<StatisticsDataResourceType>

  Represents the resource type of items for which view statistics (VuStats) is available.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AGENT` | Provides agents with their own statistics or statistics about the skills the agent logs in to.
    `AGENT_EXTENSION` | Provides supervisors with statistics about agents or the skills that the agents log in to.
    `SKILL` | Provides statistics about a specific skill.
    `TRUNK_GROUP` | Provides statistics about a specific trunk group.
    `UNDEFINED` |
    `VECTOR_DIRECTORY_NUMBER` | Provides statistics about a specific Vector Directory Number (VDN).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StatisticsDataResourceType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static StatisticsDataResourceType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final StatisticsDataResourceType UNDEFINED

    - #### AGENT

          public static final StatisticsDataResourceType AGENT

      Provides agents with their own statistics or statistics about the skills the agent logs in to. For example, the total number of calls that an agent has answered since login, the average time that the agent has spent on ACD calls, the number of agents available to receive calls for a skill, and the percent of calls within the acceptable service levels.

    - #### AGENT_EXTENSION

          public static final StatisticsDataResourceType AGENT_EXTENSION

      Provides supervisors with statistics about agents or the skills that the agents log in to. For example, the number of ACD calls answered by specific agent, the average ACD talk time, auxiliary work mode time by reason code for an agent, the average talk time for ACD calls for a specific agent during the administered period and the number of staffed agents currently available to receive ACD calls for a specific skill.

    - #### SKILL

          public static final StatisticsDataResourceType SKILL

      Provides statistics about a specific skill. For example, skill description and performance information, such as Average Speed of Answer (ASA), number of calls in a queue, and number of calls abandoned. It can also provide the acceptable service levels or percent of calls answered within the acceptable service levels for a skill.

    - #### TRUNK_GROUP

          public static final StatisticsDataResourceType TRUNK_GROUP

      Provides statistics about a specific trunk group. For example, trunk group name and number, the average holding time for an incoming or outgoing trunk calls, the number of trunks in a specified trunk group and the percent of time all the trunks in a specified trunk group were busy during a specified period/day.

    - #### VECTOR_DIRECTORY_NUMBER

          public static final StatisticsDataResourceType VECTOR_DIRECTORY_NUMBER

      Provides statistics about a specific Vector Directory Number (VDN). For example, VDN name and extension, the total time agents spent talking on skill calls and direct agent calls, the number of calls that have encountered a VDN, but have not been answered, abandoned, or outflowed and the time the oldest call has been waiting in the VDN.

  - ### Method Detail

    - #### values

          public static StatisticsDataResourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StatisticsDataResourceType c : StatisticsDataResourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StatisticsDataResourceType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null